# VehiclesPlus v2 Tutorial Pack 1.14+
> By default, this resourcepack supports `1.20.2 - 1.20.4`.

## YouTube video
[![IMAGE ALT TEXT HERE](https://img.youtube.com/vi/fx2Z5ZD_Rbo/0.jpg)](https://www.youtube.com/watch?v=YOUTUBE_VIDEO_ID_HERE)

## Steps to take
Below you can find the steps to take to add your own models to the pack.

### Step 1: Purchase your models
The first step is to achieve the models you want to use. Make sure the models are delivered in a Minecraft-compatible `.json` file. This makes it super easy to install!

You can easily find VehiclesPlus-compatible models [on Polymart](https://vehicles.polymart.org/).

### Step 2: Changing the supported version
Open the `pack.mcmeta` file in the root folder. Change the `pack_format` to the correct number according to the table below. Then change the `game_version` to the default (latest) version you want to support.

| **Version:**    | **`pack_format:`** |
|-----------------|--------------------|
| 1.12 - 1.12.2   | `3`                |
| 1.13 - 1.14.4   | `4`                |
| 1.15 - 1.16.1   | `5`                |
| 1.16.2 - 1.16.5 | `6`                |
| 1.17 - 1.17.1   | `7`                |
| 1.18 - 1.18.2   | `8`                |
| 1.19 - 1.19.2   | `9`                |
| 1.19.3          | `12`               |
| 1.19.4          | `13`               |
| 1.20 - 1.20.1   | `15`               |
| 1.20.2          | `18`               |
| 1.20.3 - 1.20.4 | `22`               |

### Step 3: Install the model files
Now its time to install the model's files inside the resourcepack. Most of the time, a `.json` file is included with your model. You can direclty put this file in the `assets/vp/models/item` folder.

If any textures files are included (most of the time, this is not the case), insert them into the `assets/vp/textures/item` folder.

### Step 4: Add the models to the correct item
VehiclesPlus uses an item to make the models visible. You can choose any item you want, by default the plugin uses the `leather_boots` for models.

Under the `overrides` section, add a line like this:

```json
"overrides": [
    { "predicate": {"custom_model_data":1}, "model": "vp:item/YOURMODEL"}
]
```

Replace `YOURMODEL` by the name of the `.json` file (excluding the extension!). Replace the `1` by the data number you want to assign. This must be unique for the `leather_boots` file. Remember this number for step 5.

### Step 5: Create a configuration file
Now go to your Minecraft server's files.

Copy the example configuration file from the VehiclesPlus plugin folder for the type of vehicle you want to add. If you don't have the original files in your plugin folder anymore, you can [find them here](https://git.sbdevelopment.tech/SBDevelopment/VehiclesPlus/src/branch/master/Vehicle%20Models).

Rename the copied file to the name of your file. Then also change the name inside the file, like `name: MyCoolCar`

Now go to the skin section, and replace the meta section by this:

```yaml
list0:
  className: me.legofreak107.vehiclesplus.vehicles.vehicles.objects.addons.skins.Skin
  skin:
    ==: org.bukkit.inventory.ItemStack
    v: 3337
    # ONLY change the section below!
    # Change the type to the correct item. Probably you used the LEATHER_BOOTS.
    type: LEATHER_BOOTS
    meta:
      ==: ItemMeta
      meta-type: UNSPECIFIC
      # Set the custom model data you chose in step 4.
      custom-model-data: 1
```